Name: xfcalendar
Version: 4.8.1
Release: alt2

Summary: Time-managing application for the XFce desktop environment
Summary (ru_RU.UTF-8): Календарь для окружения рабочего стола Xfce
License: %gpl2plus
Group: Graphical desktop/XFce
Url: http://www.xfce.org/projects/orage/
Packager: XFCE Team <xfce@packages.altlinux.org>

Source: orage-%version.tar

BuildRequires(pre): rpm-build-licenses

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4panel-devel libxfce4util-devel
BuildRequires: flex intltool libnotify-devel libical-devel libpopt-devel libdbus-glib-devel

%description
%name is the time-managing application for the XFce desktop environment.

%description -l ru_RU.UTF-8
Данный пакет содержит в себе календарь для окружения рабочего стола
Xfce. Так же известен как Orage.

%prep
%setup -n orage-%version

%build
# Fix desktop file path for xfce4-panel >= 4.8
sed -i 's|^desktopdir = \$(datadir)/xfce4/panel-plugins|desktopdir = \$(datadir)/xfce4/panel/plugins|' \
   panel-plugin/Makefile.am

%xfce4reconf
%configure \
    --enable-dbus \
	--enable-libical \
    --enable-libnotify \
    --enable-archive \
	--enable-libxfce4panel \
	--enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang orage

%files -f orage.lang
%doc README ChangeLog AUTHORS
%_bindir/*
%_desktopdir/*
%_datadir/orage/
%_liconsdir/*
%_iconsdir/hicolor/scalable/apps/*
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel/plugins/*.desktop
%_man1dir/*
%_datadir/dbus-1/services/*.service

%changelog
* Thu Mar 24 2011 Mikhail Efremov <sem@altlinux.org> 4.8.1-alt2
- Fix BR: added libdbus-glib-devel.

* Wed Mar 09 2011 Mikhail Efremov <sem@altlinux.org> 4.8.1-alt1
- Updated to 4.8.1.

* Thu Jan 27 2011 Mikhail Efremov <sem@altlinux.org> 4.8.0-alt1
- Fix desktop file path for xfce4-panel >= 4.8.
- Spec update & cleanup.
- tar.bz2 -> tar
- Don't use internal libical.
- Remove old patches.
- Updated to 4.8.0.

* Sun Jan 24 2010 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt2
- Fix build. Fixed problem with alarm.

* Mon Apr 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt1
- Xfce 4.6.1

* Sun Apr 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.0-alt1
- Xfce 4.6.0

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.99.1-alt1
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.93-alt1
- Xfce 4.6 beta 3

* Fri Oct 24 2008 Eugene Ostapets <eostapets@altlinux.org> 4.5.91-alt1
- Xfce 4.6 beta1

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Mon Oct 15 2007 Igor Zubkov <icesik@altlinux.org> 4.4.1-alt1.1
- NMU
  + fix build with new intltool

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Fri Nov 10 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt2
- strict library version build requires

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- 4.4rc1

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 0.1.9-alt1
- 0.1.9

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 0.1.8-alt1
- 0.1.8

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 0.1.5-alt1
- 0.1.5

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 0.1-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
